Subject: Re: rlogin to xp home edition
From: [email-masked] (Eric Blake)
To: [email-masked], [email-masked]
Cc: Ulrich G�ttich <[email-masked]>
Date: Mon, 15 Aug 2005 01:05:04 +0000

> Hallo,
> 
> (i hope this is the correct forum to this question)

Yep

> 
> I have a XP home edition running using cygwin and the inetd package. I have 
> created /etc/passwd and /etc/group as described. The only user (and there is 
> only one at an XP home edition with usable privileges) is called otto. I can 
> rlogin to this client using the account otto and his password. Everything 
> okay.
> 
> What I do not understand is: where do the strange uid and gid (e.g. mkpasswd) 
> of the most files come from?

It means your /etc/passwd and /etc/group don't have all the necessary
information for the particular user; it is trying to tell you to run mkpasswd
and mkgroup again with more options.
http://cygwin.com/cygwin-ug-net/using-utils.html#mkgroup

> Rlogin seems not to use passwd and gid and I can 
> not force it to login with /bin/bash (which is defined in /etc/passwd). It  
> always  comes up with /bin/sh (which does not understand any aliases and 
> others). 
> 
> A drastic workaround at the moment is to symlink bash to sh.

Depending on how recent your installation is, /bin/sh IS already bash.

Hint: following these directions helps us help you.

> Problem reports:       http://cygwin.com/problems.html

--
Eric Blake

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/